Package org.apache.solr.client.solrj.request

# Class ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<ConfigSetAdminResponse>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest<T,ConfigSetAdminResponse>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T>

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConfigSetAdminRequest.Create`, `ConfigSetAdminRequest.Delete`, `ConfigSetAdminRequest.Upload`

Enclosing class:
  `ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>`

protected abstract static class ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>> extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>, ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete, ConfigSetAdminRequest.List, ConfigSetAdminRequest.Upload`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`configSetName`

### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConfigSetSpecificAdminRequest()`

## Method Summary

Modifier and Type
Method
Description
`protected ConfigSetAdminResponse`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`final String`
`getConfigSetName()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`final T`
`setConfigSetName(String configSetName)`

### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`getThis, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### configSetName

protected String configSetName

## Constructor Details

### ConfigSetSpecificAdminRequest

protected ConfigSetSpecificAdminRequest()

## Method Details

### setConfigSetName

public final T setConfigSetName(String configSetName)

### getConfigSetName

public final String getConfigSetName()

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `ConfigSetAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>,ConfigSetAdminResponse>`

### createResponse

protected ConfigSetAdminResponse createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `ConfigSetAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>,ConfigSetAdminResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.